package cn.com.infosec.mobile.android.net;

import android.support.annotation.Keep;
import android.support.annotation.NonNull;
import java.util.HashMap;
import java.util.Map;

@Keep
public class InfosecHttpRequest {
   private static final Map<String, String> ipHostMap = new HashMap();
   private long context = this.createContextNative();
   private byte[] header;
   @Keep
   private int errNo;
   @Keep
   private String errMsg;
   @Keep
   private int enableVerifyHostCallback;
   @Keep
   protected int responseCode = -1;
   private ProgressCallback progressCallback;
   @Keep
   private String contentType;
   @Keep
   private String debugLog;
   private long formHandle = 0L;

   @Keep
   private native long createContextNative();

   @Keep
   private native int setConfigNative(long var1, InfosecHttpParam var3);

   @Keep
   private native int initConnectNative(long var1);

   @Keep
   private native byte[] performGetNative(long var1, InfosecHttpInfo var3);

   @Keep
   private native byte[] performPostNative(long var1, long var3, InfosecHttpInfo var5);

   @Keep
   private native int performDownloadNative(long var1, InfosecHttpInfo var3);

   @Keep
   private static native long formAddBufferNative(long var0, String var2, byte[] var3, String var4, String var5);

   @Keep
   private static native long formAddFileNative(long var0, String var2, String var3, String var4);

   @Keep
   private static native long formFreeNative(long var0);

   @Keep
   private static native int closeConnectNative(long var0);

   @Keep
   private static native String getGMSSLClientIPNative(long var0);

   @Keep
   private static native void deleteContextNative(long var0, InfosecHttpRequest var2);

   public void setEnableVerifyHostCallback(int enableVerifyHostCallback) {
      this.enableVerifyHostCallback = enableVerifyHostCallback;
   }

   public String get(@NonNull InfosecHttpParam param) {
      this.setConfigNative(this.context, param);
      this.initConnectNative(this.context);
      byte[] var2;
      return (var2 = this.performGetNative(this.context, (InfosecHttpInfo)null)) != null && var2.length > 0 ? new String(var2) : null;
   }

   public String post(@NonNull InfosecHttpParam param) {
      this.setConfigNative(this.context, param);
      this.initConnectNative(this.context);
      byte[] var2;
      return (var2 = this.performPostNative(this.context, 0L, (InfosecHttpInfo)null)) != null && var2.length > 0 ? new String(var2) : null;
   }

   public String postForm(@NonNull InfosecHttpParam param) {
      InfosecHttpRequest var10000 = this;
      InfosecHttpRequest var10001 = this;
      this.setConfigNative(this.context, param);
      this.initConnectNative(this.context);
      long var4 = this.context;
      long var2 = var10001.formHandle;
      byte[] var5;
      return (var5 = var10000.performPostNative(var4, var2, (InfosecHttpInfo)null)) != null && var5.length > 0 ? new String(var5) : null;
   }

   public boolean downloadFile(@NonNull InfosecHttpParam param) {
      this.setConfigNative(this.context, param);
      this.initConnectNative(this.context);
      return this.performDownloadNative(this.context, (InfosecHttpInfo)null) == 0;
   }

   public void formAddBuffer(String key, byte[] data, String contentType, String fileName) {
      this.formHandle = formAddBufferNative(this.formHandle, key, data, contentType, fileName);
   }

   public void formAddFile(String key, String filePath, String contentType) {
      this.formHandle = formAddFileNative(this.formHandle, key, filePath, contentType);
   }

   public long formFree(long formHandle) {
      return formFreeNative(formHandle);
   }

   public void setIpHost(String ip, String host) {
      ipHostMap.put(ip, host);
   }

   public void close() {
      long var1 = this.context;
      if (0L != var1) {
         closeConnectNative(var1);
         deleteContextNative(this.context, this);
         this.context = 0L;
      }

   }

   @Keep
   public void progressCallback(long total, long complete, float progress) {
      ProgressCallback var6;
      if ((var6 = this.progressCallback) != null) {
         var6.onProgress(total, complete, progress);
      }

   }

   @Keep
   public String verifyhostCallback(String ip) {
      return (String)ipHostMap.get(ip);
   }

   public String getHeader() {
      String var1;
      if (this.header == null) {
         Object var2 = null;
         var1 = (String)var2;
      } else {
         var1 = new String.<init>(this.header);
      }

      return var1;
   }

   public int getErrNo() {
      return this.errNo;
   }

   public String getErrMsg() {
      return this.errMsg;
   }

   public void setProgressCallback(ProgressCallback progressCallback) {
      this.progressCallback = progressCallback;
   }

   public String getClientIP() {
      return getGMSSLClientIPNative(this.context);
   }

   @Keep
   public interface ProgressCallback {
      void onProgress(long var1, long var3, float var5);
   }
}
